smokeping (2.9.0+linuxiarz.pl-1) unstable; urgency=medium

  [ linuxiarz.pl ]
  * Bump to 2.9.0

smokeping (2.8.2+ds-1) unstable; urgency=medium

  [ Gabriel Filion ]
  * New upstream version (Closes: #1004308, #740852)
  * All patches that were merged upstream were removed
  * Add an example lighttpd configuration file for smokeping (Closes: #961950)
  * Import upstream patch to fix curl probes (Closes: #986068)
  * Avoid errors with ucf/ucfr during postrm (Closes: #1005807)
  * New required library libobject-result-perl for influxdb
  * Remove obsolete dependency on lsb-base
  * fix lintian warning about unmatched news entry
  * lintian-overrides are now obsolete
  * Clear out copyright details for files removed in repack
  * Patch out building of 3rd-party js libs
  * Revert "fix lintian warning about unmatched news entry"

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Gabriel Filion <gabster@lelutin.ca>  Sun, 04 Feb 2024 14:54:09 -0500

smokeping (2.7.3-4) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.5.0, no changes needed.

  [ Gabriel Filion ]
  * Import patch that disables refresh while zooming (Closes:#981348)
  * Import patch disabling rsa1 and enabling ecdsa for ssh probe (Closes:
    #962225)

 -- Gabriel Filion <gabriel@koumbit.org>  Sun, 24 Apr 2022 14:44:58 -0400

smokeping (2.7.3-3) unstable; urgency=medium

  [ Gabriel Filion ]
  * start generating smokeinfo manpage
  * postrm: purge, removal of apache2/conf.d/smokeping not needed anymore
  * make css and js load from the /smokeping alias (closes: #929515)
  * change fix-conf-paths patch to point the daemon to /run/smokeping for its
    pid indead of /var/run/smokeping

  [ Matteo F. Vescovi ]
  * debian/patches/: fix-alert-edgetriggers added (Closes: #934170)

 -- Gabriel Filion <gabriel@koumbit.org>  Sat, 11 Jul 2020 00:00:19 +0200

smokeping (2.7.3-2) unstable; urgency=medium

  [ Gabriel Filion ]
  * systemd: run service as smokeping user
    The systemd service unit file that was introduced in 2.7.3-1 didn't setup
    user and group properly for the service, and the daemon was running as root.
    This is now corrected, but it might mean that some files were created by and
    are owned by root. To fix this, you can use the following command:
    .
    find /var/lib/smokeping/ -mindepth 1 -name '__cgi' -prune -o \
      -exec chown smokeping:smokeping {} \;
  * missing-VERSION forwarded and merged upstream
  * patch "fix-400d-graph" forwarded and merged upstream
  * rename patch path_changes to make its name more meaningful
  * reduce javascript_path_changes to the strict minimum
  * fix-perl-lib: indicate that the patch shouldn't be forwarded
  * proper-samle-conf: indicate that it shouldn't be forwarded
  * make commands invoked in rules more verbose as per policy version 4.2.0
  * use https for the homepage
  * Bump Standards-Version to 4.3.0
  * merge both patches that hardcode config path
  * init.d: match on pidfile only prevents service stop (closes: #922395)
  * systemd: move example for slave mode in the examples dir
  * control: erroneous and duplicated mention of default mta

  [ Sven Hartge ]
  * Change group of secrets file for slaves to www-data (Closes: #760945)

 -- Gabriel Filion <gabriel@koumbit.org>  Sat, 23 Feb 2019 19:54:18 -0500

smokeping (2.7.3-1) unstable; urgency=medium

  * use https in watch file
  * new upstream release
  * remove patch merged upstream
  * add systemd service

 -- Gabriel Filion <gabriel@koumbit.org>  Wed, 23 Jan 2019 19:26:45 -0500

smokeping (2.7.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Gabriel Filion ]
  * Update patch fping-protocol-version: setup default values (Closes: #908674)

  [ Antoine Beaupré ]
  * Update lintian bypass for embedded javascript

 -- Gabriel Filion <gabriel@koumbit.org>  Thu, 11 Oct 2018 19:22:32 -0400

smokeping (2.7.2-2) unstable; urgency=medium

  [ Gabriel Filion ]
  * Add patch fping-protocol-version. (Closes: #905752)

  [ Antoine Beaupré ]
  * upload to unstable (Closes: #898580)

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 26 Aug 2018 17:28:53 -0400

smokeping (2.7.2-1) experimental; urgency=medium

  * new upstream release (Closes: #898580)
  * drop patch typo_642197 fixed upstream

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 15 May 2018 12:21:26 -0400

smokeping (2.6.11-5) unstable; urgency=medium

  [ Gabriel Filion ]
  * Add a directory index to show the cgi instead of a 403 (Closes:
    #885699, #882987)

  [ Antoine Beaupré ]
  * document FastCGI configuration (Closes: #684870)
  * repository migrated to salsa
  * add Gabriel as maintainer

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 12 May 2018 15:48:07 -0400

smokeping (2.6.11-4) unstable; urgency=medium

  * add missing build-dep on rename (Closes: #826056)
  * check config file validity - thanks Matus UHLAR (Closes: #847924)
  * fix slave permissions configuration - thanks Sven Hartge (Closes: #760945)
  * bump dh compat, no change

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 28 Nov 2017 11:57:04 -0500

smokeping (2.6.11-3) unstable; urgency=medium

  * remove outdated information from README.Debian (Closes: #804384)
  * fix permissions error on default config, enable CGI module in postinst
    (Closes: #760474, #821925)
  * remove Rowan Thorpe from Uploaders, I haven't heard from him in over a
    year
  * fix lintian warnings
  * depend on default-mta to fix default config on fresh installs

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 18 May 2016 17:59:06 -0400

smokeping (2.6.11-2) unstable; urgency=high

  * security fix for CVE-2015-0859: code execution via CGI arguments due
    to Debian Apache configuration

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 10 Nov 2015 13:51:56 -0500

smokeping (2.6.11-1) unstable; urgency=medium

  * new upstream release, see https://oss.oetiker.ch/smokeping/pub/CHANGES
    (Closes: #708615, #759483, #783229)
  * do not ship incorrect .fcgi file (Closes: #695438)
  * port to apache 2.4 (Closes: #669799)
  * drop patches factored in upstream: fix-pod-escaping, fcgi_destdir
  * add patch to ignore missing VERSION file
  * add missing dependencies

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Jun 2015 22:53:39 -0400

smokeping (2.6.9-1) unstable; urgency=medium

  * Upload to unstable
  * remove jsogo as uploader, as I haven't heard from him in years
  * Bug fix: missing "#MODE=slave" in /etc/default/smokeping, thanks to
    xavier renaut for reporting and Rowan Thorpe for confirmation (Closes:
    #685811).
  * follow anonscm.d.o rename
  * fix status doesn't use the pidfile (Closes: #699799)
  * use dh_autoreconf to fix configure step, thanks to Rowan Thorpe
    * Use dh_autoreconf to avoid errors about "missing xx" and to allow
      rebuilding after first build (Closes: #724471)
    * use dh_auto_configure rather than ./configure in rules, to only
      override specified flags, not all
  * add patches from Rowan Thorpe
    * fix-paths-inside-executables - hardcode paths inside executables
      (Closes: #707225)
    * fix-pod-escaping - quote-protect a slash in a pod-link (Closes:
      #752393)
  * bump standards to 3.9.5, no change
  * fix dependency list to ease diffs

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 07 Jul 2014 22:03:59 -0400

smokeping (2.6.9-1~exp0) experimental; urgency=high

  * New upstream release to properly fix CVE-2012-0790 (Closes: #659899)
  * Acknowledge the NMU, thanks gregor!

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 16 Mar 2013 11:34:03 -0400

smokeping (2.6.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "fails to install, remove, distupgrade, and install again":
    remove ucf config files also on install (not only on upgrade); cf. the
    changelog entry for 2.6.5-2 and #655968.
    (Closes: #668383)
  * Remove Niko Tyni from Uploaders as per his request in #668383.

 -- gregor herrmann <gregoa@debian.org>  Mon, 30 Jul 2012 21:02:52 +0200

smokeping (2.6.8-1) unstable; urgency=low

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 26 Feb 2012 13:25:13 -0500

smokeping (2.6.7-1) unstable; urgency=high

  * New upstream release to fix CVE-2012-0790 (Closes: #659899)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 14 Feb 2012 13:30:29 -0500

smokeping (2.6.5-2) unstable; urgency=low

  * Bug fix: "prompting due to modified conffiles which where not modified
    by the user", thanks to Holger Levsen (Closes: #655968). This is done
    by simply removing ucf config files that were not changed before
    installing them.
  * fix lintian warning by refering explicitly to GPL-2
  * update standards version to 3.9.2, no change
  * unset locale (LC_ALL) when building to please the build process

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 15 Jan 2012 18:17:16 -0500

smokeping (2.6.5-1) unstable; urgency=low

  * fix pathnames

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 21 Nov 2011 22:26:40 -0500

smokeping (2.6.5-1~experimental1) experimental; urgency=low

  * fix reload in startup script
  * forgot in previous changelog: stop using ucf now that we generate
    config files during build, which leads to extra prompts during
    upgrades.

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 16 Nov 2011 11:59:33 -0500

smokeping (2.6.5-1~experimental0) experimental; urgency=low

  * new upstream release (Closes: #485977).
  * take over maintainership, leaving previous maintainer as uploader
    (Closes: #568742).
  * remove patches:
    * 15_clean_makefile.dpatch - makefile is now clean
    * 20_html-parser.dpatch - obsolete
  * strip down patch:
    * 10_path_changes.dpatch - only fix the HTML paths
  * add patches:
    * fcgi_destdir - setup the fcgi script properly
    * fix-conf-path-cgi - hardcode the path to the config in the CGI script
    * fix-conf-paths - fix paths in main config
    * fix-perl-lib - fix path to PERLIB
    * proper-sample-conf - have a proper sample config
    * typo_642197 - fix typo in mail template (Closes: #642197)
    * fix-400d-graph - fix long term graph (Closes: #618851)
  * rewrite debian/rules with debhelper 7
  * remove our custom config.d files, instead we split the upstream config
    in multiple files during the build, our modifications are now patches
    to the default config (Closes: #589679)
  * remove old (pre 2.3.6) compatibility code, now that even oldstable is
    running that release
  * switch to 3.0 (quilt) format

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 07 Nov 2011 00:15:53 -0500

smokeping (2.3.6-5) unstable; urgency=medium

  * debian/patches/20_html-parser.dpatch: fix an incompatibility with
    recent versions of HTML::Parser. (Closes: #560562)

 -- Niko Tyni <ntyni@debian.org>  Sun, 20 Dec 2009 22:38:16 +0200

smokeping (2.3.6-4) unstable; urgency=low

  * Depend on libconfig-grammar-perl instead of bundling it. (Closes: #531196)
  * Install the perl code in /usr/share/smokeping/lib instead of
    /usr/share/perl5/smokeping.
  * Downgrade the exim4 | mail-transport agent dependency to a suggestion.
    (Closes: #520350)
  * Remove the obsolete libnet-perl dependency.
  * Depend on javascript libraries instead of bundling them. (Closes: #475285)
    + cpio not used anymore. (Closes: #537026)
  * Move away from /var/www but add compatibility symlinks on upgrades.
    See NEWS.Debian. (Closes: #521333)
    + automatically enable the web server configuration on new installations
      where possible.
  * Serve UTF-8 by default. Thanks to Elmar Hoffmann. (Closes: #506978)
  * Don't ship /var/run/smokeping, it will be created at run time.
  * Upgrade to Standards-Version 3.8.2.
    + add Homepage, Vcs-Git, and Vcs-Browser information to debian/control.
  * Change the alternate web server recommendation to httpd-cgi as per policy.

 -- Niko Tyni <ntyni@debian.org>  Tue, 21 Jul 2009 21:11:01 +0300

smokeping (2.3.6-3) unstable; urgency=low

  * Unset LC_ALL in the init script because the daemon needs to
    reset LC_NUMERIC. (Closes: #489766)
  * Fix a bashism in the postinst script. Thanks, lintian.

 -- Niko Tyni <ntyni@debian.org>  Fri, 29 Aug 2008 18:29:34 +0300

smokeping (2.3.6-2) unstable; urgency=low

  * Kill speedy_backend processes that are running on stop (Closes: #485880)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Wed, 02 Jul 2008 00:30:34 +0200

smokeping (2.3.6-1) unstable; urgency=low

  * New upstream release.
    + honours the 'linkstyle' variable when zooming. (Closes: #476404)
  * Wait until the daemon has exited when stopping it with the init.d script.
    This should fix a race condition that made restarts fail sporadically.
    (Closes: #478241)

 -- Niko Tyni <ntyni@debian.org>  Mon, 28 Apr 2008 21:49:28 +0300

smokeping (2.3.5-2) unstable; urgency=low

  * Prevent an unnecessary ucf prompt for the Slaves section on upgrades.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Fri, 04 Apr 2008 08:47:24 +0300

smokeping (2.3.5-1) experimental; urgency=low

  * New upstream release. (Closes: #470295)
    + debian/patches/30_slave_piddir.dpatch: removed, included upstream.
    + new dependency on libdigest-hmac-perl
  * Revisit the directory permissions of various directories under /var.
    See also NEWS.Debian.
    + use /var/lib/smokeping/__cgi as a storage place for the CGI.
      (Closes: #470382)
    + debian/postinst:
      * set the right permissions on install
      * move *.adr files under __cgi on upgrade
  * honour DAEMON_ARGS from /etc/default/smokeping even in slave mode.
  * Remove the example target hierarchy 'World' from the default configuration
    file, so that no unnecessary directories are created in the CGI directory.
  * debian/rules: recreate empty documentation directories if needed to ease
    working with a git repository.
  * Split the monolithic configuration file into configuration snippets
    in /etc/smokeping/config.d. See NEWS.Debian. (Closes: #473223)
    + use ucf for managing all the configuration files to ease the merging
    + debian/patches/20_conffile.dpatch: removed
  * Install the upstream config template in /usr/share/doc too, because
    smokeping_examples(7) says so and it doesn't hurt.
  * Update debian/copyright.
  * Don't blindly remove the whole /etc/smokeping on purge, just the
    configuration files managed by maintainers scripts and any ucf leftovers.
  * Upload to experimental to get a bit of testing first.

 -- Niko Tyni <ntyni@debian.org>  Tue, 11 Mar 2008 22:30:04 +0200

smokeping (2.3.2-1) unstable; urgency=low

  * New upstream release. (Closes: #468928)
  * Add support for the new "slave mode", enabled via
    /etc/default/smokeping. (Closes: #466533)
  * debian/patches/30_slave_piddir.dpatch: Add an optional
    --pid-dir option to specify the pid directory when running as a slave.
  * Change the doc-base section to Network/Monitoring. Thanks, lintian.

 -- Niko Tyni <ntyni@debian.org>  Tue, 04 Mar 2008 23:36:58 +0200

smokeping (2.3.0-1) unstable; urgency=low

  * New upstream version.
    + new dependency on liburi-perl
    + debian/patches/30_jszoom.dpatch: removed, applied upstream.

 -- Niko Tyni <ntyni@debian.org>  Thu, 24 Jan 2008 23:27:29 +0200

smokeping (2.2.7-2) unstable; urgency=low

  * debian/patches/30_jszoom.dpatch: fix a javascript error
    on pages without a zoom widget. (Closes: #457071)
  * Change my maintainer email address.
  * Upgrade to Standards-Version 3.7.3. No changes needed.
  * Add two short patch descriptions in debian/patches.
  * Don't install an empty /usr/bin directory.

 -- Niko Tyni <ntyni@debian.org>  Sun, 23 Dec 2007 20:57:49 +0200

smokeping (2.2.7-1) unstable; urgency=low

  * New upstream release
  * Create /var/run/smokeping at startup if it doesn't exist.
    Patch from Ubuntu.

 -- Niko Tyni <ntyni@iki.fi>  Sat, 10 Nov 2007 09:55:32 +0200

smokeping (2.2.6-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright, including a typo fix. (Closes: #445877)

 -- Niko Tyni <ntyni@iki.fi>  Sun, 28 Oct 2007 15:51:36 +0200

smokeping (2.2.4-1) unstable; urgency=low

  * New upstream release
    + includes graph zooming code that is installed in /var/www/smokeping
    + new master/slave functionality needs a dependency on libwww-perl
    + requires librrds-perl >= 1.2; update the dependency
  * debian/patches:
    + 30_missing_smoke.dpatch: removed, now included upstream.
  * Update debian/copyright for the included javascript libraries.
  * Wrap overlong dependency lines in debian/control.
  * debian/rules: fix the build-stamp dependency so it will not skip
    the patch step
  * Include an example secret file for the master/slave functionality
  * Upgrade apache recommendation to apache2.

 -- Niko Tyni <ntyni@iki.fi>  Mon, 17 Sep 2007 10:57:29 +0300

smokeping (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Patches included upstream:
    + 40_password.dpatch
    + 50_ldap.dpatch
    + 60_fping.dpatch
    + 70_syslog.dpatch
  * Recommend echoping, don't list it as an alternative dependency.
  * Suggest openssh-client instead of ssh. (Closes: #416539)
  * Don't delete the smokeping user when the package is purged.
  * Update debian/watch: upstream has moved.
  * Rewrite the init script for LSB support.
    + Depend on lsb-base accordingly.
  * Add a note in README.Debian about sporadic problems with the
    CGI reloading configuration changes.
  * Point to the note when executing '/etc/init.d/smokeping reload'.
    (Closes: #397609)
  * debian/patches/30_missing_smoke.dpatch: show the visible part of all
    smoke even if the rest of it doesn't fit on the scale. (Closes: #412826)

 -- Niko Tyni <ntyni@iki.fi>  Mon, 14 May 2007 23:25:27 +0300

smokeping (2.0.9-2) unstable; urgency=low

  * debian/patches/15_clean_makefile.dpatch:
    + remove unneeded and potentially unsecure include paths.
  * debian/patches: selected patches from the upstream SVN repository
    + 40_password.dpatch: skip reading the password file when running as a CGI.
    + 50_ldap.dpatch: Make the 'scope' option in the LDAP probe actually work.
    + 60_fping.dpatch:
      * Support the '-S' (set source address, see #198486) fping option.
      * Don't try to execute fping when running as a CGI.
    + 70_syslog.dpatch: Don't die silently if syslogd is unavailable.
      (Closes: #395056)
  * Remove all the autogenerated documentation at clean time, to properly
    undo the effects of the 'build' target.
  * Install example configuration files for documentation.

 -- Niko Tyni <ntyni@iki.fi>  Thu, 26 Oct 2006 21:45:56 +0300

smokeping (2.0.9-1) unstable; urgency=low

  * New upstream release
  * Add debian/watch.
  * Update debian/copyright.

 -- Niko Tyni <ntyni@iki.fi>  Sat, 15 Jul 2006 10:11:06 +0300

smokeping (2.0.8-3) unstable; urgency=low

  * remove all configuration file modifications from postinst, as per policy.
  * no need for debconf anymore; remove all translations as well.
  * add a NEWS.Debian entry about configuration file incompatibilities
    between versions 1.x and 2.x.
  * Upgraded to Standards-Version 3.7.2. No changes needed.

 -- Niko Tyni <ntyni@iki.fi>  Sun, 28 May 2006 23:02:09 +0300

smokeping (2.0.8-2) unstable; urgency=low

  * debian/patches/10_path_changes.dpatch: fix the library path.
    (Closes: #363439)
  * debian/control: move dpatch to Build-Depends, as it's
    required for the 'clean' target.
  * debian/po/cs.po: include a Czech translation from Miroslav Kure.
    (Closes: #363118)
  * debian/po/fr.po: include a French translation from Olivier Trichet.
    (Closes: #364165)
  * debian/rules: don't run the 'build' target twice.
  * debian/postinst: accept 'reconfigure' as the first parameter.

 -- Niko Tyni <ntyni@iki.fi>  Sun, 23 Apr 2006 20:33:29 +0300

smokeping (2.0.8-1) unstable; urgency=low

  [ Niko Tyni ]
  * New upstream version.
    + makes all the CGI self-referring links relative and provides a
      new variable to configure this behaviour. (Closes: #351783)
  * debian/postrm:
    + only call deluser if the smokeping user exists
    + redirect all deluser output to stderr so debconf won't get confused
  * Delay init.d startup so the SSH probe can test against localhost
    (Closes: #349832)
  * Upgrade to debhelper compatibility level 5.
  * Move debhelper from Build-Depends-Indep to Build-Depends, since it's
    required in the 'clean' target.
  * (po-)debconfize the postinst note on failed upgrade
    + debian/po/fi.po: include a Finnish translation
    + debian/po/es.po: include a Spanish translation
    + debian/rules: add a dh_installdebconf call
    + debian/control: Build-Depend on po-debconf, Depend on ${misc:Depends}

  [ Jose Carlos Garcia Sogo ]
  * Integrate Niko work in latest versions. Again, a big thanks goes to him.
  * debian/patches:
     + 10_path_changes: included again. Also change tSmoke.dist paths.
     + 20_conffile: included again.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 16 Apr 2006 13:03:43 +0200

smokeping (2.0.5-2) unstable; urgency=low

  * Merge smokeping--debian--2.0.5 branch when preparing the package:
    + Change default perl location. (Closes: #339690)
    + Change default config file. (Closes: #339816)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 19 Nov 2005 10:50:22 +0100

smokeping (2.0.5-1) unstable; urgency=low

  [ Niko Tyni ]
  * New upstream version
    + use the 'cgiurl' variable for all CGI self-refering links
      (Closes: #339019)
  * debian/doc-base:
    + add document authors
    + fix the text document directory
  * debian/postrm:
    + use 'deluser --system' to delete the user at purge time.

  [ Jose Carlos Garcia Sogo ]
  * Merged smokeping--*--2.0.5 branches from Niko's repo.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Wed, 16 Nov 2005 23:35:23 +0100

smokeping (2.0.4-1) unstable; urgency=low

  [ Niko Tyni ]
  * New upstream version
     + doesn't create new RRD files when run with '--reload' (Closes: #333373)

  [ Jose Carlos Garcia Sogo ]
  * Added Niko Tyni <ntyni@iki.fi> to the list of uploaders. Usually he is
    doing much of the work, and I do not have any need of making any change.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Wed, 12 Oct 2005 19:52:40 +0200

smokeping (2.0.3-1) unstable; urgency=low

  [ Niko Tyni ]
  * New upstream version
     + Make the package build without extra Build-Depends. (Closes: #330009)

  [ Jose Carlos Garcia Sogo ]
  * Integrate and upload. Thanks Niko for your work!

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat,  1 Oct 2005 14:00:45 +0200

smokeping (2.0.2-1) unstable; urgency=low

  [ Niko Tyni ]
  * New upstream version
  * debian/init.d: implemented 'reload'

  [ Jose Carlos Garcia Sogo ]
  * Merged versions 2.0.1-1 and 2.0.2-1 in my baz repository.
  Thanks goes to Niko Tyni for his work.
  * Changed FSF address from copyright file.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 24 Sep 2005 11:11:03 +0200

smokeping (2.0.1-1) unstable; urgency=low

  * New upstream version (Closes: #329339)
  * try to upgrade the config file automatically
  * give a warning and a pointer to the smokeping_upgrade doc
    if the upgrade isn't succesful

 -- Niko Tyni <ntyni@iki.fi>  Thu, 22 Sep 2005 17:58:53 +0000

smokeping (1.42-2) unstable; urgency=low

  * Fix problem in default config file not allowing white space
  which was added in previous version for local fping target. (Closes: #324846)
  * debian/control: have to depend on adduser as it is being used in postinst.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 28 Aug 2005 20:36:32 +0200

smokeping (1.42-1) unstable; urgency=low

  * New upstream version
    + Works with RRDtool > 1.2 (Closes: #309344)
    + Fixed curl documentation (Closes: #283652)
    + Added an 'include' directive in config parser (Closes: #307955)

  * Changed default location of sendmail to /usr/sbin (Closes: #302164)
  * Added localhost as default fping target (Closes: #307954)
  * Standars-version bumped to 3.6.2. No changes needed.
  * README.Debian: document enabled localhost fping probe.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 18 Aug 2005 00:06:45 +0200

smokeping (1.38-3) unstable; urgency=low

  * Include missing matchers methods in binary package (Closes: #295354)
  * Add missing suggests: libnet-dns-perl, ssh, libio-socket-ssl-perl,
    libnet-telnet-perl (Closes: #295372)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 13 Mar 2005 13:55:44 +0100

smokeping (1.38-2) unstable; urgency=low

  * Added missing Build-Dependecy in groff. (Closes: #292949)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat,  5 Feb 2005 19:14:48 +0100

smokeping (1.38-1) unstable; urgency=low

  * The "upstream releases just when a new upstream release is uploaded to the
    archive" release.
  * New upstream release.
  * debian/postinst: only create smokeping user if it does not exist yet.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 30 Jan 2005 18:36:24 +0100

smokeping (1.37-1) unstable; urgency=low

  * New upstream version (Closes: #289126)
  * debian/patches:
     + 40_fping-packet.dpatch,
     + 50_concurrent-probes.dpatch,
     + 60_makepod-without-config.dpatch,
     + 65_fix_generating_docs.dpatch,
     + 68_typos.dpatch: disabled. They are applied upstream
     + 70_regenerated_docs.dpatch: updated. It is empty as docs are uptodate
     in the upstream tarball.

  * debian/postinst:
     + don't edit unconditionally config file. (Closes: #288628)
     + fix here permissions for different dirs instead of in rules file.
     + create smokeping system user

  * debian/postrm:
     + delete smokeping system user on purge.

  * debian/init.d:
     + run smokeping daemon as its own user. (Closes: #287253)

  * debian/rules:
     + update-docs target should only regenerate pod files (Closes: #287508)
     + install perl modules manpages with the probes::, matchers:: or ISG::
       prefix, as neeeded. (Closes: #288922)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 30 Jan 2005 17:18:53 +0100

smokeping (1.34-4) unstable; urgency=low

  * debian/patches:
     + 30_typos: moved to 68_typos.
     + 50_concurrent-probes: patch the patch. Fix signal handling.
       Thanks again to Niko Tyni. (Closes: #288082)
     + 65_fix_generating_docs: patch Makefile to allow generating docs without
       having SmokePing installed.
     + 68_typos: fix different typos in sources.
     + 70_regenerated_docs: updated.

  * debian/rules:
     + New update-docs target, which should be used to upgrade
       70_regenerated_docs patch.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon,  3 Jan 2005 13:55:53 +0100

smokeping (1.34-3) unstable; urgency=low

  * The "2004 is death - Long life to 2005!" release.
  * Some docs have been moved to subdirectories. Reinstall them in
    /usr/share/doc/smokeping  (Closes: #287250)
  * Documentation reorganized:
     + *.pod files removed. We don't need to distribute those files.
     + install documentation in two main subdirectories, txt and html.
       Inside create both 'probes' and 'matchers' subdirectories.
     + manpages are installed either in man1 or man3, depending on
       the section described inside the file. File names are incorrect, so
       we rename manpages being moved to section 3.
  * debian/patches:
     + 20_conffile: enable syslog logging by default. (Closes: #287825)
     + 30_typos: New. s/secion/section/g and other typos in documentation and
       source files. (Closes: #283643)
     + 50_concurrent-probes: New. Allow probes to be executed in separate
       processes. This permits probe-specific parameters and offset.
       Thanks to Niko Tyni and Marc Haber (Closes: #283533)
     + 60_makepod-without-config: New. Let 'smokeping -makepod' be run
       without a config file. Thanks to Niko Tyni.
     + 70_regenerated_docs: New. Contains doc regenerated to show new options
       added in version 1.34-2. (Closes: #287508)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 31 Dec 2004 19:20:55 +0100

smokeping (1.34-2) unstable; urgency=low

  * Build-Depend on dpatch >= 2.0.9, as it now uses new dpatch-run
    (Closes: #286431)
  * Applied patch from Niko Tyni to allow fping probes with different
    packet sizes. Thanks! (Closes: #283647)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 20 Dec 2004 23:15:52 +0100

smokeping (1.34-1) unstable; urgency=low

  * New upstream release. (Closes: #283621)
     + Fixes whatis error in manpages. (Closes: #210622)
  * debian/control:
     + depend on exim4 | mail-transport-agent, as we are using
       "sendmail" command in default config. (Closes: #274718)
     + Recommends apache | httpd to conform with Policy.
  * debian/patches:
     + 10_path_changes: updated
     + 30_typos: new. s/secion/section/g on every the doc.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 19 Dec 2004 19:44:41 +0100

smokeping (1.31-2) unstable; urgency=high

  * init.d: If not running, restart should start the daemon. (Closes: #275861)
  * Urgency high as it fixes a RC bug also present in Sarge.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 11 Oct 2004 13:01:47 +0200

smokeping (1.31-1) unstable; urgency=low

  * New upstream version.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu,  5 Aug 2004 22:56:20 +0200

smokeping (1.30-1) unstable; urgency=low

  * New upstrem version. (Closes: #248264)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 14 May 2004 18:20:34 +0200

smokeping (1.28-1) unstable; urgency=low

  * New upstream version. (Closes: #240628)
  * Removed 30_upstream_Smokeping.dpatch -- Included upstream.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 28 Mar 2004 22:22:22 +0200

smokeping (1.26-2) unstable; urgency=low

  * Added dpatch to Build-Depends. (Closes: #235077)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 27 Feb 2004 15:39:39 +0100

smokeping (1.26-1) unstable; urgency=low

  * New upstream version. (Closes: #233687)
  * Ack previous NMU. Thanks Matthias. (Closes: #226829)
  * Moved perl stuff from /usr/lib/perl5 to /usr/shre/perl5 as those files are
    not Perl executables.
  * Do not list /etc/smokeping files in conffiles, so they're not listed twice
    when building the package.
  * Using dpatch now. It makes really easier to mantain all those path changes
    we need to do in upstream source:
      - 10_path_changes.dpatch: Changes upstream paths to Debian ones.
      - 20_conffile.dpatch: Creates a template conffile suitable for everyone.
      - 30_upstream_Smokeping.dpatch: last minute upstream patch to
      Smokeping.pm file fixing some typos.
  * Suggests libnet-ldap-perl and libauthen-radius-perl for the new probes.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 21 Feb 2004 14:09:16 +0100

smokeping (1.25-1.1) unstable; urgency=low

  * NMU.
  * Include the correct cgi script (closes: #226829).
  * Suggests curl.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Jan 2004 21:28:09 +0100

smokeping (1.25-1) unstable; urgency=low

  * New upstream release (Closes: #216163, #218974)
  * Bumped Standars-Version. No changes needed.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon,  5 Jan 2004 21:30:53 +0100

smokeping (1.20-3) unstable; urgency=low

  * Fixed how email adresses are parsed. (Closes: #193697)
  * Fixed permissions in /var/lib/smokeping dir so the CGI can
    also write in it. (Closes: #193749)
  * Fixed init.d script so it doesn't fail when trying to remove a stopped
    smokeping package. (Closes: #193855)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 23 May 2003 22:16:27 +0200

smokeping (1.20-2) unstable; urgency=low

  * Changed the order in which /usr/share/doc/smokeping/pod/smokeping.pod link
    is created, so we don't clash when installing *.pod files there.
    (Closes: #193095)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 15 May 2003 23:18:21 +0200

smokeping (1.20-1) unstable; urgency=low

  * New upstream version.
  * Added a dnsutils to recommends field, as it is used by DNS probe.
  * Standars-Version bumped to 3.5.9.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 12 May 2003 16:08:08 +0200

smokeping (1.19-1) unstable; urgency=low

  * New upstream version. Add a DNS probe.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 20 Feb 2003 15:46:37 +0100

smokeping (1.18-1) unstable; urgency=low

  * New upstream release.
    - Allow sub millisecond patterns.
    - Report a full link in smokeping alerts.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 16 Dec 2002 16:15:44 +0100

smokeping (1.16-1) unstable; urgency=low

  * New upstream release:
    - Graphs are showed in logarithmic scale.
    - Added IOSPing probe.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri,  8 Nov 2002 20:50:19 +0100

smokeping (1.15-2) unstable; urgency=low

  * Changed postinst to check if $2 parameter passed to dpkg
    --compare-versions isn't empty. (Closes: #164451)
  * Upped dependencies to speedy-cgi-perl (2.21-1) and perl (5.8).

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 12 Oct 2002 13:05:49 +0200

smokeping (1.15-1) unstable; urgency=low

  * Another upstream release:
    - Bugfixes.
    - Allow to call an external script upon matching an alert pattern.
    - Unified mail tools.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 28 Sep 2002 12:42:28 +0200

smokeping (1.14-1) unstable; urgency=low

  * New upstream release:
    - Some bugfixes.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 28 Sep 2002 12:35:52 +0200

smokeping (1.13-1) unstable; urgency=low

  * New upstream release.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon,  9 Sep 2002 21:03:01 +0200

smokeping (1.12-3) unstable; urgency=low

  * Fixed dependencies for Perl 5.8
  * Changed fping path to /usr/bin (Closes: #157905)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun,  1 Sep 2002 21:35:10 +0200

smokeping (1.12-2) unstable; urgency=low

  * Moved rddtool data files to /var/lib/smokeping to comply
  with FHS. With this we don't need to make tricks with the owner
  of smokeping binary and with /var/www/smokeping perms. (Closes: #152475)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 20 Jul 2002 13:43:34 +0200

smokeping (1.12-1) unstable; urgency=low

  * The "Once more I didn't received Freshmeat release announcement" release.
  * New upstream release.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat,  8 Jun 2002 09:23:10 +0200

smokeping (1.11-1) unstable; urgency=low

  * New upstream release.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 11 May 2002 15:49:10 +0200

smokeping (1.9-2) unstable; urgency=low

  * Added a recommends in libsocket6-perl (Closes: #145164)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Wed,  1 May 2002 14:56:18 +0200

smokeping (1.9-1) unstable; urgency=low

  * New upstream release.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 30 Apr 2002 00:27:05 +0200

smokeping (1.8-1) unstable; urgency=low

  * New upstream release.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 26 Apr 2002 23:12:31 +0200

smokeping (1.6-2) unstable; urgency=low

  * Changed /usr/bin/perl for /usr/bin/speedy in the smokeping binary and the
    smokeping cgi. (Closes: #140384)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue,  2 Apr 2002 15:02:08 +0200

smokeping (1.6-1) unstable; urgency=low

  * New upstream release. (Closes: #140056)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 28 Mar 2002 16:39:52 +0100

smokeping (1.5-1) unstable; urgency=low

  * New upstream release.
  * Added support for echoping.
  * Changed "don't touch this" /etc/smokeping/config message.
  (Closes: #137836)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 11 Mar 2002 15:54:37 +0100

smokeping (1.4-2) unstable; urgency=low

  * Added forgotten #DEBHELPER# line in postinst.
    Sorry for the new release, but the new incoming system works this way.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 10 Mar 2002 15:59:40 +0100

smokeping (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 10 Mar 2002 15:28:38 +0100

smokeping (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat,  9 Mar 2002 00:03:08 +0100

smokeping (1.1-2) unstable; urgency=low

  * Added README.Debian file explaining where to go after installing the
  package to configure it, and the man page in which you can get info.
  * Added a missed dependency on libdigest-md5-perl. (Closes: #136255)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri,  1 Mar 2002 19:52:04 +0100

smokeping (1.1-1) unstable; urgency=low

  * Initial Release. (Closes: #133824)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Wed, 13 Feb 2002 23:11:07 +0100
